<template>
    <div>
        <md-badge class=" md-square" md-position="bottom" md-content="38">
            <md-button class="md-icon-button md-dense">
                <md-icon>list</md-icon>
            </md-button>
        </md-badge>

        <!-- <md-badge class=" md-square" md-position="bottom" md-content="20">
            <md-menu md-size="small" md-align-trigger>
                <md-button md-menu-trigger class="md-icon-button ">
                    <md-icon>share</md-icon>
                </md-button>

                <md-menu-content>
                    <li class="social-icon">
                        <i class="fab fa-facebook fa-lg"></i>
                    </li>
                    <li class="social-icon">
                        <i class="fab fa-twitter fa-lg"></i>
                    </li>
                    <li class="social-icon" @click="shareWhatsapp">
                                                        <i class="fab fa-whatsapp fa-lg"></i>
                                                    </li>
                </md-menu-content>
            </md-menu>
        </md-badge> -->
    </div>
</template>
<script>
export default {
    props: ['collection'],
    methods: {
        shareFacebook() {
            const location = window.location.href;
            const uri = `http://m.facebook.com/sharer.php?u=${location}`;
            window.open(uri, "_blank");
        },
        shareTwitter() {
            const location = window.location.href;
            const uri = `http://twitter.com/intent/tweet?text=${encodeURIComponent(
                location
            )}`;
            // const uri = `http://mobile.twitter.com/home?status=${location}`
            window.open(uri, "_blank");
        },
        shareWhatsapp() {
            const location = window.location.href;
            const uri = `http://m.facebook.com/sharer.php?u=${location}`;
            window.open(uri, "_blank");
        }
    }
};
</script>
